package parser;

/**
 * Identity lambda.
 */
public class Identity implements ILambda {
    /**
     * Singleton instance.
     */
    public static final Identity Singleton = new Identity();

    /**
     * Private singleton constructor.
     */
    private Identity() {
        // nothing to do
    }

    /**
     * Return the parameter.
     *
     * @param param parameter
     * @return parameter returned
     */
    public Object apply(Object param) {
        return param;
    }
}
